Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055473 - application build info is inaccessible via REST
Summary: application build info is inaccessible via REST
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Master
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Dan McPherson
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 10:44 UTC by Oleg Fayans
Modified: 2016-12-01 00:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-30 00:56:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Oleg Fayans 2014-01-20 10:44:07 UTC
Description of problem:

When I request the application info via REST during the jenkins build of the application, then the response should contain info about the app's status. something like this: "building_app": true, "building_with": jenkins_client

Version-Release number of selected component (if applicable):
ami-93e4d6fa

How reproducible:
Always

Steps to Reproduce:
1. create a jenkins app
2. create a php app with jenkins client
3. change something in the app repo, git push
4. during the jenkins build request app info via REST with the following REST request:
curl -k -X GET -u yourname@domain.com:password https://<server>/broker/rest/domain/<domain_name>/application/<app_name>
Actual results:
response does not contain info about app status

Expected results:
response should contain info that the app is currently being built

Additional info:

Comment 1 Dan McPherson 2014-01-20 15:22:31 UTC
Those two field are always set if applicable even if you aren't in the act of building.  I get:

"building_app":"jenkins","building_with":"jenkins-client-1"

Can you please try again and please reopen if you are still seeing the same issue.

Comment 2 Zhe Wang 2014-01-21 09:26:05 UTC
Hi, Dan,

The description of this bug might not be clear. According to the steps of Case#198938[1], REST API should return some info showing the app is being built when querying during its Jenkins building, which distinguishes the status that we aren't in the act of building. For example, the msg of the first item in the Expected result: "Application is being built (building: true)". Has the API showing that app is in the action of Jenkins building been deprecated, or is this a bug?

I will be very grateful if you can give us any info.


[1] https://tcms.engineering.redhat.com/case/198938/?from_plan=4962

Comment 3 Dan McPherson 2014-01-21 16:29:09 UTC
Are you asking for a new feature other than?

<building-with>jenkins-client-1</building-with>
<building-app>jenkins</building-app>
<build-job-url>https://jenkins-danmcp1.dev.rhcloud.com/job/app-build/</build-job-url>


That's what's in the test case and that's what I am seeing as well.  You can also look at gear_groups:

curl -3 -k -H "Accept: application/xml" -u "danmcp1:blah" https://ec2-54-227-44-23.compute-1.amazonaws.com/broker/rest/domain/danmcp1/application/app/gear_groups.xml


And see the state for each of the gears:

      <gears>
        <gear>
          <id>52de91d1a11ed25c0a000007</id>
          <state>started</state>
          <ssh-url>ssh://52de91d1a11ed25c0a000007@app-danmcp1.dev.rhcloud.com</ssh-url>
        </gear>
      </gears>


But when you are building with jenkins you won't see the main app gear in a building state.  If you look at the bldr gear you would.  Also if you take jenkins out of the equation you will see the main gear in a building state.

Comment 4 Jianwei Hou 2014-01-22 08:20:26 UTC
I think the information they are looking for is in the bldr app which can indicate that the application is being built, eg:

.....
"messages": [
        {
            "exit_code": 0,
            "field": null,
            "index": null,
            "severity": "info",
            "text": "Showing gear groups for application 'd1bldr' with domain 'jhou'"
        },
        {
            "exit_code": 0,
            "field": null,
            "index": null,
            "severity": "result",
            "text": "building\n"
        }
    ],

......

Mark as verified.


Note You need to log in before you can comment on or make changes to this bug.